Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007397opensim[GRID] Hypergridpublic2014-12-26 09:212015-08-18 09:35
Reporteraiaustin 
Assigned Tojustincc 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0007397: [EVENT MANAGER]: Document does not have a root element and [HG ASSET MAPPER]: Unrecognized node in asset XML transform
DescriptionAvatar on one grid (tried on OSCC14, LFGrid and Kitely) visits Openvue or AiLand grids (tested as a problem between r/25618 and up to r/25794 dev master) and on taking the item via "take copy" or clicking a box that gives inventory via a script the inventory does seem to appear fine. But the OpenSim.exe console shows red errors indicating a failure at the completion of the inventory upload to the visitor's grid.

On returning to the home grid the visitor sees the items in the My Suitcase area of inventory but cannot rez these objects.

An indicative error (many repeats like this perhaps for each separate asset involved)...

17:07:34 - [HG ASSET MAPPER]: Starting to send asset 42bca80f-79c2-485a-93d7-654
b357992f0 with children to asset server http://cc.opensimulator.org:8002 [^]
17:07:34 - [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete
 failed - continuing. Document does not have a root element. at System.Xml.X
mlTextWriter.WriteEndDocument()
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Rewrite
SOP(String xmlData) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framew
ork\InventoryAccess\HGAssetMapper.cs:line 339
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustI
dentifiers(Byte[] data) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Fr
amework\InventoryAccess\HGAssetMapper.cs:line 189
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAss
et(String url, AssetBase asset) in d:\Temp\opensim-7100475\OpenSim\Region\CoreMo
dules\Framework\InventoryAccess\HGAssetMapper.cs:line 145
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UU
ID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-7100475\OpenSi
m\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name,
Int32 userlevel) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framework
\InventoryAccess\HGInventoryAccessModule.cs:line 220
   at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnNewInventoryItemUplo
adComplete(UUID agentID, AssetType type, UUID AssetID, String AssetName, Int32 u
serlevel) in d:\Temp\opensim-7100475\OpenSim\Region\Framework\Scenes\EventManage
r.cs:line 2182

TagsNo tags attached.
Git Revision or version numberr/25618
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirstorm 4.6.7
Attached Filestxt file icon rgu-diver-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt [^] (20,421 bytes) 2015-02-20 02:14 [Show Content]
txt file icon opensimworld-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt [^] (8,803 bytes) 2015-02-20 02:23 [Show Content]
png file icon branches_diverge.png [^] (18,442 bytes) 2015-02-20 06:39


png file icon branches_separate.png [^] (16,728 bytes) 2015-02-20 06:39


png file icon branches_merge.png [^] (13,270 bytes) 2015-02-20 06:39


? file icon 7b0891a8-9b34-49f2-a175-4060ec3eef48 [^] (41,501 bytes) 2015-02-20 13:44 [Show Content]
? file icon ded1d943-69db-4faf-8acb-bdec6f1f30a2 [^] (29,820 bytes) 2015-02-21 02:34 [Show Content]

- Relationships
related to 0007439closedjustincc Delivery of scripted objects between grids results in missing or non-functional scripts at destination 
related to 0007447closedjustincc Region reported can be incorrect in warning of form "Unrecognized node XmlDeclaration in asset XML transform in region" 

-  Notes
(0027145)
aiaustin (developer)
2014-12-31 02:19
edited on: 2014-12-31 03:07

One odd thing about the error messages I am seeing... The region where the assets are being taken (OpenVCE) is to the South, "AiLand" is in the middle and "Edinburgh" is to the North all three contiguous normal 256x256 regions in a vertical strip served from the same OpenSim.exe instance.

Yet, when I take the assets to a HG visitor via a giver script on the OpenVCE region I see an error message on the giver grid console referring to a problem in "Edinburgh" 2 regions away. "Unrecognized node in asset XML transform in Edinburgh". Why is this?

2014-12-26 16:52:24,295 WARN - OpenSim.Region.CoreModules.FrameworkUnrecognized node in asset XML transform in Edinburgh
.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]:
2014-12-26 16:52:24,311 ERROR - OpenSim.Region.Framework.Scenes.EventManager [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete failed - continuing. Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name, Int32 userlevel) in d:\Temp\opensim-7100475\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 220

   at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnNewInventoryItemUploadComplete(UUID agentID, AssetType type, UUID AssetID, String AssetName, Int32 userlevel) in d:\Temp\opensim-7100475\OpenSim\Region\Framework\Scenes\EventManager.cs:line 2182

(0027314)
aiaustin (developer)
2015-01-21 02:04

I see quite a few of these messages when looking through logs of OpenSim.exe after a week or so... could it be specific corrupt assets in some form or a more systematic underlying issue?

2015-01-18 05:20:29,182 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 0dd58c11-51c9-4ed5-a6d5-0cf74bdaeae5 with children to asset server http://grid.avacon.org:8002 [^]


2015-01-18 05:20:29,651 WARN - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE


2015-01-18 05:20:29,682 ERROR - OpenSim.Region.Framework.Scenes.EventManager [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete failed - continuing. Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
(0027486)
aiaustin (developer)
2015-02-12 09:50
edited on: 2015-02-12 12:25

I see this same type of XML transform error on a newly taken HG item... by taking an object while on a 0.8.0.3 Metropolis Version [016] grid back to a 0.8.1.0 dev master r/25792 grid (e.g. the OpenSimWorld Tools box) and then trying to pass that item to another avatar from a third grid. It will not pass the item over though it seems to be full perm and gives these errors and warnings...


2015-02-12 10:26:15,681 WARN - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE

2015-02-12 10:26:15,712 ERROR - OpenSim.Region.ClientStack.LindenUDP.LLClientView [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.ImprovedInstantMessagePacket for Ai Austin, Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.TransferInventoryAssets(InventoryItemBase item, UUID sender, UUID receiver) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 342

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, UUID recipientFolderId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 775

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 563

   at OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule.OnInstantMessage(IClientAPI client, GridInstantMessage im) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Avatar\Inventory\Transfer\InventoryTransferModule.cs:line 221

   at OpenSim.Framework.ImprovedInstantMessage.Invoke(IClientAPI remoteclient, GridInstantMessage im)

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerImprovedInstantMessage(IClientAPI sender, Packet Pack) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6312

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770

2015-02-12 10:26:17,837 DEBUG - OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule [INVENTORY TRANSFER]: (giving) Inserting item d5d51c5f-26b4-4780-b848-fd76a874bf41 into agent ff0a6e25-15cf-4294-9374-4ce8cdec65eb's inventory

2015-02-12 10:26:17,837 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 4b918880-dd6e-48af-a87e-25642e467953 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]

2015-02-12 10:26:18,119 WARN - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE

2015-02-12 10:26:18,119 ERROR - OpenSim.Region.ClientStack.LindenUDP.LLClientView [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.ImprovedInstantMessagePacket for Ai Austin, Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.TransferInventoryAssets(InventoryItemBase item, UUID sender, UUID receiver) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 342

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, UUID recipientFolderId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 775

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 563

   at OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule.OnInstantMessage(IClientAPI client, GridInstantMessage im) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Avatar\Inventory\Transfer\InventoryTransferModule.cs:line 221

   at OpenSim.Framework.ImprovedInstantMessage.Invoke(IClientAPI remoteclient, GridInstantMessage im)

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerImprovedInstantMessage(IClientAPI sender, Packet Pack) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6312

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770

2015-02-12 10:26:20,228 DEBUG - OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule [INVENTORY TRANSFER]: (giving) Inserting item e5102670-3292-4aa9-9daf-e70d898ffc33 into agent ff0a6e25-15cf-4294-9374-4ce8cdec65eb's inventory

2015-02-12 10:26:20,228 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 5ccc8941-8ce8-4d6b-92d1-bb64f029d363 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]

2015-02-12 10:26:20,353 WARN - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE

2015-02-12 10:26:20,353 ERROR - OpenSim.Region.ClientStack.LindenUDP.LLClientView [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.ImprovedInstantMessagePacket for Ai Austin, Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.TransferInventoryAssets(InventoryItemBase item, UUID sender, UUID receiver) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 342

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, UUID recipientFolderId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 775

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 563

   at OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule.OnInstantMessage(IClientAPI client, GridInstantMessage im) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Avatar\Inventory\Transfer\InventoryTransferModule.cs:line 221

   at OpenSim.Framework.ImprovedInstantMessage.Invoke(IClientAPI remoteclient, GridInstantMessage im)

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerImprovedInstantMessage(IClientAPI sender, Packet Pack) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6312

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770

2015-02-12 10:26:22,744 DEBUG - OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule [INVENTORY TRANSFER]: (giving) Inserting item 66b1b85e-beb5-4ca9-a34f-8bbd4efb7ff9 into agent ff0a6e25-15cf-4294-9374-4ce8cdec65eb's inventory

2015-02-12 10:26:22,744 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 4bd36f6d-29a9-4073-8cbd-f32887dd0a90 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]

2015-02-12 10:26:22,869 WARN - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE

2015-02-12 10:26:22,869 ERROR - OpenSim.Region.ClientStack.LindenUDP.LLClientView [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.ImprovedInstantMessagePacket for Ai Austin, Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.TransferInventoryAssets(InventoryItemBase item, UUID sender, UUID receiver) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 342

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, UUID recipientFolderId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 775

   at OpenSim.Region.Framework.Scenes.Scene.GiveInventoryItem(UUID recipient, UUID senderId, UUID itemId, String& message) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 563

   at OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule.OnInstantMessage(IClientAPI client, GridInstantMessage im) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Avatar\Inventory\Transfer\InventoryTransferModule.cs:line 221

   at OpenSim.Framework.ImprovedInstantMessage.Invoke(IClientAPI remoteclient, GridInstantMessage im)

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerImprovedInstantMessage(IClientAPI sender, Packet Pack) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6312

   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in d:\Temp\opensim-dd6f560\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770

2015-02-12 10:26:56,417 DEBUG - OpenSim.Region.Framework.Scenes.Scene [AGENT INVENTORY]: Found folder Objects type Object for item OpenSimWorld Tools Package

2015-02-12 10:26:56,479 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 9d0d662f-4833-4548-a18f-424257abf380 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]

2015-02-12 10:26:56,651 ERROR - OpenSim.Region.Framework.Scenes.EventManager [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete failed - continuing. Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name, Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 220

   at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnNewInventoryItemUploadComplete(UUID agentID, AssetType type, UUID AssetID, String AssetName, Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\EventManager.cs:line 2220

2015-02-12 10:26:56,729 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 9d0d662f-4833-4548-a18f-424257abf380 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]

2015-02-12 10:26:56,792 ERROR - OpenSim.Region.Framework.Scenes.AsyncSceneObjectGroupDeleter [ASYNC DELETER]: Exception background sending object: Document does not have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.RewriteSOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 339

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustIdentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 189

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAsset(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 145

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UUID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name, Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 220

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.ExportAsset(UUID agentID, UUID assetID) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 276

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.CopyBundleToInventory(DeRezAction action, UUID folderID, List`1 objlist, IClientAPI remoteClient, Boolean asAttachment) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 522

   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.CopyToInventory(DeRezAction action, UUID folderID, List`1 objectGroups, IClientAPI remoteClient, Boolean asAttachment) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 362

   at OpenSim.Region.Framework.Scenes.AsyncSceneObjectGroupDeleter.InventoryDeQueueAndDelete() in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\AsyncSceneObjectGroupDeleter.cs:line 152

2015-02-12 10:28:00,574 DEBUG - OpenSim.Region.CoreModules.Avatar.Inventory.Transfer.InventoryTransferModule [INVENTORY TRANSFER]: (giving) Inserting item d5d51c5f-26b4-4780-b848-fd76a874bf41 into agent ff0a6e25-15cf-4294-9374-4ce8cdec65eb's inventory

2015-02-12 10:28:00,590 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Starting to send asset 4b918880-dd6e-48af-a87e-25642e467953 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]

2015-02-12 10:28:00,668 WARN - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE

(0027487)
aiaustin (developer)
2015-02-12 12:31
edited on: 2015-02-12 12:32

What seems odd about the above error logs is that I was in region called Openvue to do the transfer to an avatar from another grid who was visiting and also on the Openvue region... yet the errors talk about OpenVCE region which is 2 regions away and I am using standard 256x256 regions.. I do have viewer distance set to 512m in case that is relevant.

(0027491)
aiaustin (developer)
2015-02-13 02:45
edited on: 2015-02-13 02:53

The example "OpenSimWorld Tools" object causing this can be found at

hop://virtual.aiai.ed.ac.uk:8002/Openvue/135/133/30 [^]

From the HG traveller perspective it seems to transfer and come into the My Suitcase area whether the whole tools box object is taken via "take copy" or clicked to deliver the contents via a script.. There is no error indication at all in the viewer.

Here is the complete Openvue Grid OpenSim.exec console message when "take copy" on this object is done...

10:42:46 - [AGENT INVENTORY]: Found folder Objects type Object for item OpenSimW
orld Tools Package
10:42:46 - [HG ASSET MAPPER]: Starting to send asset 9703fd24-ea4f-4e79-9c3d-be6
8ce9c0669 with children to asset server http://assets.grid.kitely.com:8002 [^]
10:42:47 - [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete
 failed - continuing. Document does not have a root element. at System.Xml.X
mlTextWriter.WriteEndDocument()
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Rewrite
SOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framew
ork\InventoryAccess\HGAssetMapper.cs:line 339
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustI
dentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Fr
amework\InventoryAccess\HGAssetMapper.cs:line 189
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAss
et(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreMo
dules\Framework\InventoryAccess\HGAssetMapper.cs:line 145
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UU
ID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSi
m\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name,
Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework
\InventoryAccess\HGInventoryAccessModule.cs:line 220
   at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnNewInventoryItemUplo
adComplete(UUID agentID, AssetType type, UUID AssetID, String AssetName, Int32 u
serlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\EventManage
r.cs:line 2220
10:42:47 - [HG ASSET MAPPER]: Starting to send asset 9703fd24-ea4f-4e79-9c3d-be6
8ce9c0669 with children to asset server http://assets.grid.kitely.com:8002 [^]
10:42:48 - [ASYNC DELETER]: Exception background sending object: Document does n
ot have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Rewrite
SOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framew
ork\InventoryAccess\HGAssetMapper.cs:line 339
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustI
dentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Fr
amework\InventoryAccess\HGAssetMapper.cs:line 189
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAss
et(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreMo
dules\Framework\InventoryAccess\HGAssetMapper.cs:line 145
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UU
ID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSi
m\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name,
Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework
\InventoryAccess\HGInventoryAccessModule.cs:line 220
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.ExportAsset(UUID agentID, UUID assetID) in d:\Temp\opensim-dd6f560\OpenSim\Re
gion\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 276
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessM
odule.CopyBundleToInventory(DeRezAction action, UUID folderID, List`1 objlist, I
ClientAPI remoteClient, Boolean asAttachment) in d:\Temp\opensim-dd6f560\OpenSim
\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 522
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessM
odule.CopyToInventory(DeRezAction action, UUID folderID, List`1 objectGroups, IC
lientAPI remoteClient, Boolean asAttachment) in d:\Temp\opensim-dd6f560\OpenSim\
Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 362
   at OpenSim.Region.Framework.Scenes.AsyncSceneObjectGroupDeleter.InventoryDeQu
eueAndDelete() in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\AsyncS
ceneObjectGroupDeleter.cs:line 152


BUT when the HG visitor travels back home (in this case to Kitely grid), the items can still be seen in the inventory, but if you try to rez the taken object you get a box saying:

Unable to rez: could not find asset <uuid> for item

(0027492)
aiaustin (developer)
2015-02-13 03:00
edited on: 2015-02-13 03:01

I tested this with a HG traveller on a r/25792 0.8.1.0 dev master grid (AiLand) travelling to the Openvue grid (also on r/25792 0.8.1.0 dev master ) and trying to "take copy" on the OpenSimWorld Tools box at

hop://virtual.aiai.ed.ac.uk:8002/Openvue/135/133/30 [^]

and the same error shows in the console... so its an error in the latest OpenSim master and not related to the traveller's grid being an old version.

10:55:30 - [AGENT INVENTORY]: Found folder Objects type Object for item OpenSimW
orld Tools Package
10:55:30 - [HG ASSET MAPPER]: Starting to send asset c924edf9-f77d-4f62-ac97-45f
be11b15b1 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]
10:55:30 - [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete
 failed - continuing. Document does not have a root element. at System.Xml.X
mlTextWriter.WriteEndDocument()
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Rewrite
SOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framew
ork\InventoryAccess\HGAssetMapper.cs:line 339
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustI
dentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Fr
amework\InventoryAccess\HGAssetMapper.cs:line 189
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAss
et(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreMo
dules\Framework\InventoryAccess\HGAssetMapper.cs:line 145
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UU
ID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSi
m\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name,
Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework
\InventoryAccess\HGInventoryAccessModule.cs:line 220
   at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnNewInventoryItemUplo
adComplete(UUID agentID, AssetType type, UUID AssetID, String AssetName, Int32 u
serlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\EventManage
r.cs:line 2220
10:55:30 - [HG ASSET MAPPER]: Starting to send asset c924edf9-f77d-4f62-ac97-45f
be11b15b1 with children to asset server http://ai.vue.ed.ac.uk:8002 [^]
10:55:30 - [ASYNC DELETER]: Exception background sending object: Document does n
ot have a root element. at System.Xml.XmlTextWriter.WriteEndDocument()
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Rewrite
SOP(String xmlData) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framew
ork\InventoryAccess\HGAssetMapper.cs:line 339
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustI
dentifiers(Byte[] data) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Fr
amework\InventoryAccess\HGAssetMapper.cs:line 189
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAss
et(String url, AssetBase asset) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreMo
dules\Framework\InventoryAccess\HGAssetMapper.cs:line 145
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UU
ID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-dd6f560\OpenSi
m\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name,
Int32 userlevel) in d:\Temp\opensim-dd6f560\OpenSim\Region\CoreModules\Framework
\InventoryAccess\HGInventoryAccessModule.cs:line 220
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.ExportAsset(UUID agentID, UUID assetID) in d:\Temp\opensim-dd6f560\OpenSim\Re
gion\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 276
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessM
odule.CopyBundleToInventory(DeRezAction action, UUID folderID, List`1 objlist, I
ClientAPI remoteClient, Boolean asAttachment) in d:\Temp\opensim-dd6f560\OpenSim
\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 522
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessM
odule.CopyToInventory(DeRezAction action, UUID folderID, List`1 objectGroups, IC
lientAPI remoteClient, Boolean asAttachment) in d:\Temp\opensim-dd6f560\OpenSim\
Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 362
   at OpenSim.Region.Framework.Scenes.AsyncSceneObjectGroupDeleter.InventoryDeQu
eueAndDelete() in d:\Temp\opensim-dd6f560\OpenSim\Region\Framework\Scenes\AsyncS
ceneObjectGroupDeleter.cs:line 152

(0027493)
aiaustin (developer)
2015-02-13 13:23
edited on: 2015-02-13 13:25

Il 13/02/2015 14:07, Luca Villani ha scritto:

I can confirm the behaviour for Openvue..

Platforms I test from:

- standard diva installation
- hypergrid enabled standalone opensimulator
- robust + opensimulator

Actions done:

- creation of a new user with empty inventory
- set home for the new user
- hypergrid jump to virtual.aiai.ed.ac.uk:8002:OpenVCE
- copy object containing buildings near landing area
- teleport home
- rez the object

Got error on all platforms.

No errors displayed in Robust console, but got

14:51:39 - [InventoryAccessModule]: Could not find asset
71855161-bed8-4c2f-8f19-5c1db30ec115 for item OpenVCE - Buildings
aa587792-0bde-4632-b9c2-6d87974bb9bf for Alex Dragomir in RezObject()

in OpenSim console.

(0027495)
aiaustin (developer)
2015-02-16 01:57
edited on: 2015-02-16 02:00

I have been experimenting a bit more and it looks like something quite fundamental has broken in transfers to Hypergrid visitors. This might have been present for some time as others like David Fliesen have reported to me similar issues with assets taken on the Openvue grid.

I visited with native avatars from several grids to Openvue (as one example grid on latest GIT master r/25794, though its the same on AiLand grid also on r/25794) and tried taking the contents of four boxes...

1. One has assets that have been on the grid and successfully transferred to visitors for some years.

2. One was relatively recent - within last 6 months

3. One was a VERY new item only ontained in last few days (OpenSimWorld Tools) from hypergrid.org:8002@OpenSimWorld

4. One was the same OpenSimWorldTools but imported directly to the grid via ospackage.iar

The tests were done by clicking on the boxes which have my usual script to give contents on the region called "Openvue" (the welcome or home region for the grid). I also tried to "Take Copy" on the boxes as that is allowed too. In all cases the visitor viewers end looks successful (until they return to their home grid) but on the server end OpenSim.exe console I get a mixture of apparently successful transfers and the following two red error messages..

[EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete failed - continuing. Document does not have a root element
and

[HG ASSET MAPPER]: Unrecognized node in asset XML transform in OpenVCE

This last message is odd as the HG visitor is on Openvue region not OpenVCE.. which is 512m away (two regions across, and no mega or varregions in use)./

But on return home the visitor can see the items in inventory but if they try to use them all the basic clothing items are fine, but EVERY prim/attachment style object will not attach or rez in world. Giving a pop up message..

Unable to rez: could not find asset <UUID> for item <object name>

Anyone got any thoughts on how to try to pin this down? It may be a config or connector specification error that has crept in when the add in mechanism was introduced? Or is it a broken hypergrid transfer of some sort?

(0027497)
aiaustin (developer)
2015-02-16 02:26

To establish if this might be a configuration issue on Openvue and AiLand grid I tested this with a native avatar on OSCC14 grid (OpenSim 0.8.1 Dev 58229a9 (Unix/Mono)) taking contents (the OpenSimWorld Tools) from hypergrid.org:8002:OpenSimWorld (OpenSim 0.8.0.1 Metropolis Edition PLUS [015] (Unix/Mono)).

That DOES work, and the items are available when the OSCC14 grid avatar returns to their home grid.
(0027498)
aiaustin (developer)
2015-02-16 04:31
edited on: 2015-02-16 05:17

On carefully checking the latest Robust.HG.ini.example against the Openvue and AiLand grid versions of this file I found the following part was missing from [LoginService] section...

    ; This inventory service will be used to initialize the user's inventory
    HGInventoryServicePlugin = "OpenSim.Services.HypergridService.dll:HGSuitcaseInventoryService"
    HGInventoryServiceConstructorArg = "HGInventoryService"

In addition in config-include/GridCommon.ini in the [AssetService] section I had PublicPort for the AssetServerURI which did not match the connector declarations in Robust.HG.ini or the GridCommon.ini.example value which was PrivatePort...

    AssetServerURI = "${Const|BaseURL}:${Const|PrivatePort}"

However, making that change had no effect on the errors which are the same after making these changes and restarting.

I am happy to do any specific tests and with avatars on specific grids or with specific content uploaded to the grid via an IAR that anyone feels would be helpful to pin this down.

(0027499)
aiaustin (developer)
2015-02-16 05:21

By the way Openvue and AiLand grid does NOT have authentication of this form on. These lines are commented out in both Robust.HG.ini and OpenSim.ini...

;; AuthType = "BasicHttpAuthentication"
;; HttpAuthUsername = "an_uncommon_user_name"
;; HttpAuthPassword = "a_very_robust_password"
(0027500)
villo (reporter)
2015-02-16 08:54

I'd try to test with a content from hypergrid.org:8002:OpenSimWorld but all regions on Metropolis looks unreachable, both with a native Metropolis account and with an account on my simulator.
I can simply land on start grid region, but then all teleports don't work.
(0027505)
aiaustin (developer)
2015-02-17 03:45
edited on: 2015-02-18 14:17

I have attempted to use freshly created Robust.HG.ini, config-include/GridCommon.ini and OpenSim.ini files to establish if there might be .ini file configuration creep recently. But even with those based on the most recent 0.8.1.0 Dev master .ini.example versions I still get identical errors.

(0027532)
aiaustin (developer)
2015-02-18 14:16
edited on: 2015-02-19 02:50

Problem appears to be present at least from r/25618 on 20-Dec-2014... so predates that version it seems.

Method of transfer to HG visitor appears not to be a factor as it appears as an issue for HG visitor buying object, take copy on box, click to have a script give contents to user's inventory, or even a local avatar dropping the inventory to the HG visitor.

(0027537)
aiaustin (developer)
2015-02-19 02:49
edited on: 2015-02-19 02:53

Okay, I have a test environment where I can see the red errors on the OpenSim.exe console as a HG visitor (using an avatar on LFGrid as that is on OpenSim 0.8.0.3 Release) takes the contents of a boxed object from Openvue grid. I have returned my setup on Openvue grid to r/25618 from 20-Dec-2014 and that shows the red errors on the OpenSim.exe console...

[EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete failed - continuing. Document does not have a root element.

I have already established that the HG visitor thinks they have received the objects properly and that they see no errors at all in theitr viewer (Firestorm 4.6.8 in use) until they try to rez the items, then IF THEY ARE COMPLETELY NEW ITEMS TO THAT GRID they fail to rez. But if they had already existed and been properly rezzed on the home grid then the avatar see no apparent errors at all.

(0027538)
Gavin Hird (reporter)
2015-02-19 03:21
edited on: 2015-02-19 03:21

Try clear the FS cache and see if they still rezz, because you probably see them red from cache on the new grid.

(0027539)
aiaustin (developer)
2015-02-19 03:37
edited on: 2015-02-19 03:46

I will worry about that later... I have this already down to a fault introduced between r/25500 and r/25568. Its taking a while to do the bisect as a lot of the versions in between have a few compile time errors. Lots of the commits around r/25526 have 2 compile errors.. so I cannot test the commits around there.. and I see a very suspicious looking XML related commit at 2014-10-20 r/25526 "When inserting missing CreatorData in the HGAssetMapper, do the rewrite on a streaming xml basis rather than loading it all into memory via XmlDocument"

(0027540)
aiaustin (developer)
2015-02-19 04:16
edited on: 2015-02-19 04:44

It seems that the error is NOT present in r/25565 but is present in r/25566 and every release thereafter up to the current ones. I can switch back and forth between those two versions and get the red errors with r/2566 and no such red errors with r/25565.


As r/25566 is a "merge" by BlueWall saying "Merge branch 'master' of /team/src/opensim" and does not list the affected files or any changes it is difficult to know what happened. Can BlueWall take a look?

Example error from (Windows 8.1) OpenSim.exe console for r/25566 is...


12:09:30 - [HG ASSET MAPPER]: Starting to send asset ded1d943-69db-4faf-8acb-bde
c6f1f30a2 with children to asset server http://assets.lfgrid.com [^]
12:09:30 - [HG ASSET MAPPER]: Unrecognized node in asset XML transform in Openvue
12:09:30 - [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete
 failed - continuing. Document does not have a root element. at System.Xml.X
mlTextWriter.WriteEndDocument()
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Rewrite
SOP(String xmlData) in d:\Temp\opensim-62b778c\OpenSim\Region\CoreModules\Framew
ork\InventoryAccess\HGAssetMapper.cs:line 339
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.AdjustI
dentifiers(Byte[] data) in d:\Temp\opensim-62b778c\OpenSim\Region\CoreModules\Fr
amework\InventoryAccess\HGAssetMapper.cs:line 189
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.PostAss
et(String url, AssetBase asset) in d:\Temp\opensim-62b778c\OpenSim\Region\CoreMo
dules\Framework\InventoryAccess\HGAssetMapper.cs:line 145
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper.Post(UU
ID assetID, UUID ownerID, String userAssetURL) in d:\Temp\opensim-62b778c\OpenSi
m\Region\CoreModules\Framework\InventoryAccess\HGAssetMapper.cs:line 483
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModu
le.PostInventoryAsset(UUID avatarID, AssetType type, UUID assetID, String name,
Int32 userlevel) in d:\Temp\opensim-62b778c\OpenSim\Region\CoreModules\Framework
\InventoryAccess\HGInventoryAccessModule.cs:line 220
   at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnNewInventoryItemUplo
adComplete(UUID agentID, AssetType type, UUID AssetID, String AssetName, Int32 u
serlevel) in d:\Temp\opensim-62b778c\OpenSim\Region\Framework\Scenes\EventManage
r.cs:line 2182

(0027542)
aiaustin (developer)
2015-02-19 04:38

With a native LFGrid avatar, I notice that when I take items on the foreign grid) in all cases the folder of items comes in at the top level of the Inventory and not in "My Suitcase" as I think it should.

Is this due to the earlier release in use on LFGrid or a separate bug? The LFGrid version is:

OpenSim 0.8.0.3 Release LFGrid 0.8.0.3 (PRD): 2014-11-28 (Win/.NET)
(0027547)
villo (reporter)
2015-02-19 14:33
edited on: 2015-02-19 14:34

I made some tests with a fresh OpenSim 0.8.0.3 built from scratch from source, running on two different Debian Wheezy server: one with a robust, other with a grided configured simulator (both started with an empty mysql database on localhost).

i made three tests:

- got a pair of meshed boots from Metropolis, return in my grid: it works, I can correctly rez and wear boots
- jump in OpenVUE, virtual.aiai.ed.ac.uk:8002, got the box "Vue Items", return in my grid: it works, I can rez contents (posters, banners, etc..)
- jump in AiLand, ai.vue.ed.ac.uk:8002, got the "Sintel mesh Avatar Box", return in my grid: it DON'T work, I can't rez or wear items, with the usual error: "Could not find asset 0dd58c11-51c9-4ed5-a6d5-0cf74bdaeae5 for item Sintel Rigged Avatar"

In all tests items were correctly delivered in "My Suitcase" folder of the inventory, so I think that LFGrid simulator (0.8.0.3, like mine) don't have a bug, but is configured with

LocalServiceModule = "OpenSim.Services.HypergridService.dll:HGInventoryService"

in [HGInventoryService]
AFAIK this module implement this behaviour, items are delivered in the top level of the inventory (as in Second Life), and not in "My Suitcase" folder.

After these tests the servers were destroyed but I have a backup of the configuration, so if you want me to make other tests with a different simulator version, let me know. :-)

(0027548)
justincc (administrator)
2015-02-19 14:44

@aiaustin - Please try 264047d and tell me what the OpenSim.Region.CoreModules.Framework.InventoryAccess.HGAssetMapper [HG ASSET MAPPER]: Unrecognized node in asset XML transform

message now says, I have added information as to what node type it is.

The merge commits all came in at the same time so they can be bisected to tell which revision this problem appeared just like any other. This is by miles the most useful thing you could tell me right now.

@villo - This error only started in dev code, almost certainly after the oscc merge. If you want to help, please build master, reproduce the problem and then identify the faulty revision using git bisect.
(0027549)
villo (reporter)
2015-02-19 14:53

I'm a sysadmin, not a dev, so I'm not smart with git but tomorrow I can try. :-)
(0027552)
BlueWall (administrator)
2015-02-19 17:41

@aiaustin: The commit that looks empty is a product of merging two branches. You would need a tool like gitk to see what is happening. But, I made a commit, 62b778ca a little before then. Then Justin has several commits in a row. His branch diverged from the one I made a commit on. then later, I made the commit a76aec84 on my workstation. That commit was following the same branch as my earlier commit. When I pushed to the core repository, the branches were merged. If you have a tool like gitk you can follow the commits and branches to see what I am talking about.

Soo...

Maybe testing between my two commits will show something. The tags on these commits are 25466 and 25565.

The diverged branch starts at c5a0f0ba/25467 and ends at 86367d72/25564. The point you mention is where that branch merges back into the main one.
(0027556)
aiaustin (developer)
2015-02-20 01:22
edited on: 2015-02-20 11:20

I will try r/25803 as requested by JustinCC and report back on the more detailed error message.

But wrt the GIT bisect Justin is asking for... I thought I had done that and identified the exact commit where the problem started.. it is r/25566.. the error is not present one commit earlier at r/25565. I appreciate that r/25566 is a "merge" so does not report the commit differences unfortunately.. but clearly thats where things went wrong.

I did try some of the commits around r/25526 as that had a suspicious (given the errors here) XML related change... but the versions around that time contained two compile erors.

I cannot quite work out what BlueWall is asking me to do... since 25565 works what would be the aim of going right back to 25466? I can probably do that if it would help in some way though... but I have to juggle any .ini file changes needed.

Why not just tell me the r/numbers you want me to try and I will do my best?

(0027557)
aiaustin (developer)
2015-02-20 02:03
edited on: 2015-02-20 02:28

Log of red errors at server end for r/27803 (19-Feb-2015) is attached as

rgu-diver-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt

I have been testing recently on Openvue grid home region (with just a single region running also called "Openvue") and the link on the front page at http://OpenSimWorld.com [^] with their HUD and beacons. I have a test avatar on LFGRid to log in, hop to Openvue and take the contents of the box for the test.

But since by now in a number of tests the contents are mostly already on the LGGrid asset server, I tried a different object, one that has been there and usable for some time and contains simple clothing and attachments for a deep sea diver.

(Type 6, length ...) is reported each time where there are errors.

(0027558)
aiaustin (developer)
2015-02-20 02:18
edited on: 2015-02-20 02:26

By the way this test item was all basic clothing items, one alpha layer item and a number of mostly mesh attachments for a diving suit. As far as I know there are NO scripts in any of these. Yet ALL the basic clothing items and alpha layer come over and can be used. But EVERY prim/mesh based item attachment fails to rez when used on the visitors home grid.

So the problems being reported in this issue seem not to be script related.

(0027559)
aiaustin (developer)
2015-02-20 02:23
edited on: 2015-02-20 02:24

I realised there was no XML transform error in the RGU box error list... so tried again with the OpenSimWorld boxed contents as they definitely do have scripts in their items... log of that attached with perhaps more useful information...

opensimworld-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt

(0027563)
aiaustin (developer)
2015-02-20 11:18
edited on: 2015-02-20 12:33

Okay, as requested by BlueWall I am doing a GIT bisect from r/25467 and r/25564 just before the merge on the main branch that caused the issue.

Its difficult as so many of the commits in the middle have compile errors so cannot be tested... but I have it down to between r/25503 and r/25563... and it look like that's the narrowest I can get it...

r/25467 compiles and does NOT show this error

r/25500 compiles and does NOT show this error

r/25503 compiles and does NOT show this error

r/25504 1 compile error

r/25507 1 compile error

r/25510 1 compile error

r/25518 2 compile errors

r/25526 2 compile errors - pity as it involves XML Transforms

r/25549 3 compile errors

r/25556 2 compile errors

r/25562 2 compile errors

r/25563 compiles and shows this error

r/25564 compiles and shows this error

(0027565)
justincc (administrator)
2015-02-20 13:33

@aiaustin. Thanks for doing the git bisect. I don't know why revisions would have compile errors like this - they certainly didn't at the time.

If I knew what revision was the problem then I would test it directly myself. The major problem here is identifying when the bug was introduced.

Anyway, please could you send me or post

"dump asset 7b0891a8-9b34-49f2-a175-4060ec3eef48"

This is one of the ones in your error log which for some reason apparently had no root element after tranform (though others did). I need to inspect the XML directly. Saving an IAR is not sufficient since this may not reveal the problem.
(0027568)
aiaustin (developer)
2015-02-20 13:45

certainly Justin.. file attached as dumped to bin directory as "7b0891a8-9b34-49f2-a175-4060ec3eef48"
(0027571)
justincc (administrator)
2015-02-20 16:24

Thanks Austin. The dump was useful in telling me for sure that this wasn't due to the pre-transform XML.

Please try git master c67b340. This fixes an issue on transforming the XML which only appeared under .NET and not Mono. This issue would have appeared with the merge of the OSCC code.
(0027576)
aiaustin (developer)
2015-02-21 02:31
edited on: 2015-02-21 07:01

Trying git master c67b3340 (r/25804) with an LFGrid native avatar on HG visit to Openvue grid and clicking on the usual two test boxes (OpenSimWorld Tools and RGU Diver Outfit) boxes that have been reported on above.

Red errors have gone from Opensim.exe server end.

One item (a mesh diver helmet) looks to have transferred but gives the failed on rez due to missing asset failure when used on the home grid. I am still looking at that issue.

One warning remains for "Unrecognized node XmlDeclaration in asset XML transform in OpenVCE" **

10:20:02 - [HG ASSET MAPPER]: Starting to send asset ded1d943-69db-4faf-8acb-bdec6f1f30a2 with children to asset server http://assets.lfgrid.com [^]
10:20:02 - [HG ASSET MAPPER]: Unrecognized node XmlDeclaration in asset XML transform in OpenVCE
10:20:03 - [HG ASSET MAPPER]: Posted copy of asset ded1d943-69db-4faf-8acb-bdec6f1f30a2 from local asset server to http://assets.lfgrid.com/ [^]

dump asset ded1d943-69db-4faf-8acb-bdec6f1f30a2
file attached.

** I am separately noting this issue as I believe it may involve a simple case of the wrong region being reported in this warning message. http://opensimulator.org/mantis/view.php?id=7447 [^]

(0027585)
aiaustin (developer)
2015-02-22 14:21
edited on: 2015-02-22 14:31

I believe this issue is fixed by JustinCC in r/25804.. though there are other issues that have been showing in some of these reports and console logs.. those are now reported separately.

(0027588)
aiaustin (developer)
2015-02-22 14:32

Fixed in r/25804 commit on 21-Feb-2015 by JustinCC
(0029266)
aiaustin (developer)
2015-08-18 09:35

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2014-12-26 09:21 aiaustin New Issue
2014-12-31 02:19 aiaustin Note Added: 0027145
2014-12-31 02:20 aiaustin Note Edited: 0027145 View Revisions
2014-12-31 03:07 aiaustin Note Edited: 0027145 View Revisions
2014-12-31 03:07 aiaustin Note Edited: 0027145 View Revisions
2015-01-21 02:04 aiaustin Note Added: 0027314
2015-02-12 09:50 aiaustin Note Added: 0027486
2015-02-12 12:25 aiaustin Note Edited: 0027486 View Revisions
2015-02-12 12:31 aiaustin Note Added: 0027487
2015-02-12 12:32 aiaustin Note Edited: 0027487 View Revisions
2015-02-13 02:45 aiaustin Note Added: 0027491
2015-02-13 02:48 aiaustin Note Edited: 0027491 View Revisions
2015-02-13 02:52 aiaustin Description Updated View Revisions
2015-02-13 02:53 aiaustin Note Edited: 0027491 View Revisions
2015-02-13 03:00 aiaustin Note Added: 0027492
2015-02-13 03:00 aiaustin Note Edited: 0027492 View Revisions
2015-02-13 03:01 aiaustin Note Edited: 0027492 View Revisions
2015-02-13 13:23 aiaustin Note Added: 0027493
2015-02-13 13:24 aiaustin Note Edited: 0027493 View Revisions
2015-02-13 13:25 aiaustin Note Edited: 0027493 View Revisions
2015-02-16 01:57 aiaustin Note Added: 0027495
2015-02-16 01:59 aiaustin Description Updated View Revisions
2015-02-16 02:00 aiaustin Note Edited: 0027495 View Revisions
2015-02-16 02:20 aiaustin Priority normal => high
2015-02-16 02:26 aiaustin Note Added: 0027497
2015-02-16 04:31 aiaustin Note Added: 0027498
2015-02-16 04:39 aiaustin Note Edited: 0027498 View Revisions
2015-02-16 04:51 aiaustin Note Edited: 0027498 View Revisions
2015-02-16 05:17 aiaustin Note Edited: 0027498 View Revisions
2015-02-16 05:21 aiaustin Note Added: 0027499
2015-02-16 08:54 villo Note Added: 0027500
2015-02-17 03:45 aiaustin Note Added: 0027505
2015-02-18 09:24 aiaustin Summary [EVENT MANAGER]: Delegate for TriggerOnNewInventoryItemUploadComplete failed - continuing. Document does not have a root element => [EVENT MANAGER]: Document does not have a root element and [HG ASSET MAPPER]: Unrecognized node in asset XML transform
2015-02-18 09:38 aiaustin Description Updated View Revisions
2015-02-18 14:16 aiaustin Note Added: 0027532
2015-02-18 14:17 aiaustin Note Edited: 0027505 View Revisions
2015-02-19 02:49 aiaustin Note Added: 0027537
2015-02-19 02:50 aiaustin Note Edited: 0027532 View Revisions
2015-02-19 02:53 aiaustin Note Edited: 0027537 View Revisions
2015-02-19 03:21 Gavin Hird Note Added: 0027538
2015-02-19 03:21 Gavin Hird Note Edited: 0027538 View Revisions
2015-02-19 03:21 Gavin Hird Note Edited: 0027538 View Revisions
2015-02-19 03:37 aiaustin Note Added: 0027539
2015-02-19 03:46 aiaustin Note Edited: 0027539 View Revisions
2015-02-19 04:16 aiaustin Note Added: 0027540
2015-02-19 04:16 aiaustin Note Edited: 0027540 View Revisions
2015-02-19 04:20 aiaustin Note Edited: 0027540 View Revisions
2015-02-19 04:38 aiaustin Note Added: 0027542
2015-02-19 04:42 aiaustin Note Edited: 0027540 View Revisions
2015-02-19 04:44 aiaustin Note Edited: 0027540 View Revisions
2015-02-19 14:33 villo Note Added: 0027547
2015-02-19 14:34 villo Note Edited: 0027547 View Revisions
2015-02-19 14:37 justincc Relationship added related to 0007439
2015-02-19 14:44 justincc Note Added: 0027548
2015-02-19 14:53 villo Note Added: 0027549
2015-02-19 17:41 BlueWall Note Added: 0027552
2015-02-20 01:22 aiaustin Note Added: 0027556
2015-02-20 01:25 aiaustin Note Edited: 0027556 View Revisions
2015-02-20 02:03 aiaustin Note Added: 0027557
2015-02-20 02:04 aiaustin File Added: rgu-diver-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt
2015-02-20 02:05 aiaustin Note Edited: 0027557 View Revisions
2015-02-20 02:14 aiaustin File Deleted: rgu-diver-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt
2015-02-20 02:14 aiaustin File Added: rgu-diver-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt
2015-02-20 02:18 aiaustin Note Added: 0027558
2015-02-20 02:23 aiaustin Note Added: 0027559
2015-02-20 02:23 aiaustin File Added: opensimworld-box-contents-send-via-hg-openvue-to-lfgrid-25803.txt
2015-02-20 02:24 aiaustin Note Edited: 0027559 View Revisions
2015-02-20 02:26 aiaustin Note Edited: 0027558 View Revisions
2015-02-20 02:26 aiaustin Note Edited: 0027557 View Revisions
2015-02-20 02:28 aiaustin Note Edited: 0027557 View Revisions
2015-02-20 06:39 BlueWall File Added: branches_diverge.png
2015-02-20 06:39 BlueWall File Added: branches_separate.png
2015-02-20 06:39 BlueWall File Added: branches_merge.png
2015-02-20 11:18 aiaustin Note Added: 0027563
2015-02-20 11:20 aiaustin Note Edited: 0027556 View Revisions
2015-02-20 11:20 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 11:23 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 11:26 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 11:37 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 11:46 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 11:55 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 12:04 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 12:05 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 12:06 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 12:33 aiaustin Note Edited: 0027563 View Revisions
2015-02-20 13:33 justincc Note Added: 0027565
2015-02-20 13:44 aiaustin File Added: 7b0891a8-9b34-49f2-a175-4060ec3eef48
2015-02-20 13:45 aiaustin Note Added: 0027568
2015-02-20 16:24 justincc Note Added: 0027571
2015-02-21 02:31 aiaustin Note Added: 0027576
2015-02-21 02:31 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 02:31 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 02:32 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 02:34 aiaustin File Added: ded1d943-69db-4faf-8acb-bdec6f1f30a2
2015-02-21 02:39 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 02:52 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 02:56 aiaustin Note Added: 0027577
2015-02-21 02:58 aiaustin Note Edited: 0027577 View Revisions
2015-02-21 02:58 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 02:58 aiaustin Note Edited: 0027577 View Revisions
2015-02-21 03:02 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 03:07 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 06:58 aiaustin Note Deleted: 0027577
2015-02-21 06:58 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 06:59 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 07:01 aiaustin Note Edited: 0027576 View Revisions
2015-02-21 07:01 aiaustin Note Edited: 0027576 View Revisions
2015-02-22 14:21 aiaustin Note Added: 0027585
2015-02-22 14:22 aiaustin Relationship added related to 0007447
2015-02-22 14:24 aiaustin Resolution open => fixed
2015-02-22 14:24 aiaustin Fixed in Version => master (dev code)
2015-02-22 14:24 aiaustin Target Version => master (dev code)
2015-02-22 14:26 aiaustin Note Added: 0027586
2015-02-22 14:26 aiaustin Status new => resolved
2015-02-22 14:26 aiaustin Assigned To => justincc
2015-02-22 14:26 aiaustin Status resolved => closed
2015-02-22 14:29 aiaustin Note Added: 0027587
2015-02-22 14:29 aiaustin Status closed => feedback
2015-02-22 14:29 aiaustin Resolution fixed => reopened
2015-02-22 14:30 aiaustin Note Edited: 0027586 View Revisions
2015-02-22 14:30 aiaustin Note Edited: 0027585 View Revisions
2015-02-22 14:31 aiaustin Note Deleted: 0027587
2015-02-22 14:31 aiaustin Note Deleted: 0027586
2015-02-22 14:31 aiaustin Note Edited: 0027585 View Revisions
2015-02-22 14:32 aiaustin Note Added: 0027588
2015-02-22 14:32 aiaustin Status feedback => assigned
2015-02-22 14:32 aiaustin Status assigned => resolved
2015-02-22 14:32 aiaustin Resolution reopened => fixed
2015-08-18 09:35 aiaustin Note Added: 0029266
2015-08-18 09:35 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker